<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li class="current"><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
<li>TagPoint()
: <a class="el" href="classOgre_1_1TagPoint.html#a2b1ad04f6e594e704013b93a66c32c9">Ogre::TagPoint</a>
<li>Tan()
: <a class="el" href="classOgre_1_1Math.html#2e48340939157bf5b35dda39cbd717ec">Ogre::Math</a>
<li>TanTable()
: <a class="el" href="classOgre_1_1Math.html#4a6efb75f16a643edcc70432d37f64f4">Ogre::Math</a>
<li>TargetOperation()
: <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#e830521a3572e0c30c145e9e74c779de">Ogre::CompositorInstance::TargetOperation</a>
<li>Technique()
: <a class="el" href="classOgre_1_1Technique.html#0e0fe6b1b297d9c8e81287d7c7a7b377">Ogre::Technique</a>
<li>tell()
: <a class="el" href="classOgre_1_1DataStream.html#2d9100f4e9167116fe280a7e7a1b6219">Ogre::DataStream</a>
, <a class="el" href="classOgre_1_1MemoryDataStream.html#d075d2536d4fe7075ead6e3a7afd198d">Ogre::MemoryDataStream</a>
, <a class="el" href="classOgre_1_1FileStreamDataStream.html#8051db57b210480892f20449cd0edf34">Ogre::FileStreamDataStream</a>
, <a class="el" href="classOgre_1_1FileHandleDataStream.html#5d4956cb513de300f8d9a3d68ff92e8f">Ogre::FileHandleDataStream</a>
, <a class="el" href="classOgre_1_1ZipDataStream.html#53e6893b5e92d261ad4be0f526888f38">Ogre::ZipDataStream</a>
<li>tempSkelAnimBuffersBound()
: <a class="el" href="classOgre_1_1Entity.html#7aac543dcf66ef4800f2f4d407be902f">Ogre::Entity</a>
<li>tempVertexAnimBuffersBound()
: <a class="el" href="classOgre_1_1Entity.html#49d6eae3281e4bbb138f48deb776fc92">Ogre::Entity</a>
<li>TensorProduct()
: <a class="el" href="classOgre_1_1Matrix3.html#f1d217c48e8894227fa2cf2a7952cccc">Ogre::Matrix3</a>
<li>tesselate2DMesh()
: <a class="el" href="classOgre_1_1MeshManager.html#b1f4c23824b95765880dbf8d4152984e">Ogre::MeshManager</a>
<li>testCurrentTokenID()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#2a4364ca5134fc99696ebfe21537d725">Ogre::Compiler2Pass</a>
<li>testNextTokenID()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#a982e878b583c4f7430e6712e80498e6">Ogre::Compiler2Pass</a>
<li>TexCoordModifierControllerValue()
: <a class="el" href="classOgre_1_1TexCoordModifierControllerValue.html#c6dc86fa295eb4600c960e4e54c018a5">Ogre::TexCoordModifierControllerValue</a>
<li>TextAreaOverlayElement()
: <a class="el" href="classOgre_1_1TextAreaOverlayElement.html#5b255cf4e489d0a866411f5c946f6a7b">Ogre::TextAreaOverlayElement</a>
<li>Texture()
: <a class="el" href="classOgre_1_1Texture.html#2624f89d5e9e5d645380fce79836b54f">Ogre::Texture</a>
<li>textureCoord()
: <a class="el" href="classOgre_1_1ManualObject.html#1d11e958d58e5db69e131aaad928fb80">Ogre::ManualObject</a>
<li>TextureDefinition()
: <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#7e371a5590972522e7f8024295bb8a59">Ogre::CompositionTechnique::TextureDefinition</a>
<li>TextureFrameControllerValue()
: <a class="el" href="classOgre_1_1TextureFrameControllerValue.html#9a1644686bc16e783116d7fbd0735852">Ogre::TextureFrameControllerValue</a>
<li>TextureManager()
: <a class="el" href="classOgre_1_1TextureManager.html#41551412b46da954467432ec9955a2ba">Ogre::TextureManager</a>
<li>TexturePtr()
: <a class="el" href="classOgre_1_1TexturePtr.html#4b1f2286b5b01581283f39a6c5e3ddea">Ogre::TexturePtr</a>
<li>TextureUnitState()
: <a class="el" href="classOgre_1_1TextureUnitState.html#310855c1a22c81688d276cbaf62bd1bb">Ogre::TextureUnitState</a>
<li>TimeIndex()
: <a class="el" href="classOgre_1_1TimeIndex.html#dc00e0190b54c72be2185ce650daa7a7">Ogre::TimeIndex</a>
<li>Timer()
: <a class="el" href="classOgre_1_1Timer.html#e9d0299693765d37b2f0b75c013755d2">Ogre::Timer</a>
<li>ToAngleAxis()
: <a class="el" href="classOgre_1_1Quaternion.html#9c516d6b499410b2fc72524026d3a124">Ogre::Quaternion</a>
<li>ToAxes()
: <a class="el" href="classOgre_1_1Quaternion.html#82b3a7b187451d70e1522b54718deadf">Ogre::Quaternion</a>
<li>ToAxisAngle()
: <a class="el" href="classOgre_1_1Matrix3.html#c5338e4c09748a969019d522945343ad">Ogre::Matrix3</a>
<li>ToEulerAnglesXYZ()
: <a class="el" href="classOgre_1_1Matrix3.html#2a181c876993cf552fb771e3ff0bc4d3">Ogre::Matrix3</a>
<li>ToEulerAnglesXZY()
: <a class="el" href="classOgre_1_1Matrix3.html#266398dd88459e4ab8028f20e5f1baa2">Ogre::Matrix3</a>
<li>ToEulerAnglesYXZ()
: <a class="el" href="classOgre_1_1Matrix3.html#ffba36508ff21d216168aaf181662a0b">Ogre::Matrix3</a>
<li>ToEulerAnglesYZX()
: <a class="el" href="classOgre_1_1Matrix3.html#be2f46f171e6e470298a39b0b1da9067">Ogre::Matrix3</a>
<li>ToEulerAnglesZXY()
: <a class="el" href="classOgre_1_1Matrix3.html#ca3ad54e245e5db1829cfdeded15d548">Ogre::Matrix3</a>
<li>ToEulerAnglesZYX()
: <a class="el" href="classOgre_1_1Matrix3.html#3966a3dc328db1d6f67bfc9122a9e81c">Ogre::Matrix3</a>
<li>TokenRule()
: <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#69f2706e657be0b7cc17596c76f37f12">Ogre::Compiler2Pass::TokenRule</a>
<li>toLowerCase()
: <a class="el" href="classOgre_1_1StringUtil.html#9ffdb5be3d3ac225a551d8c6f961ded2">Ogre::StringUtil</a>
<li>toOgre()
: <a class="el" href="classOgre_1_1ILUtil.html#8eee75c63498f8bf422c48ffb25b4af9">Ogre::ILUtil</a>
<li>ToRotationMatrix()
: <a class="el" href="classOgre_1_1Quaternion.html#7e6b9955074bf92c2b778dc0307769a2">Ogre::Quaternion</a>
<li>toString()
: <a class="el" href="classOgre_1_1StringConverter.html#41d15619e971971f2025052e1a6d7c5a">Ogre::StringConverter</a>
<li>touch()
: <a class="el" href="classOgre_1_1Material.html#340e9c6140a5b0f3467596712aa122a9">Ogre::Material</a>
, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html#682949c30fe1718d4514b25df77774c2">Ogre::UnifiedHighLevelGpuProgram</a>
, <a class="el" href="classOgre_1_1Resource.html#e229b1f58092109adef55bfc6f864d79">Ogre::Resource</a>
<li>touchVertexBufferCopy()
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#f83a478657dabe2d2e35f0d876abcc5b">Ogre::HardwareBufferManager</a>
<li>toUpperCase()
: <a class="el" href="classOgre_1_1StringUtil.html#6a4aa0d892879d1f835398bcc4a8b8d2">Ogre::StringUtil</a>
<li>transform()
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#e2e7a8dc14154120b288aabd468fe9d3">Ogre::AxisAlignedBox</a>
<li>transformAffine()
: <a class="el" href="classOgre_1_1Matrix4.html#30bacec4331db3d61f8a43a0d8596595">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1AxisAlignedBox.html#08597ff0f683fd94d23632dc749bef55">Ogre::AxisAlignedBox</a>
<li>TransformKeyFrame()
: <a class="el" href="classOgre_1_1TransformKeyFrame.html#697d9705922b17bd0ca908eccd23ecf3">Ogre::TransformKeyFrame</a>
<li>transformToUnitCube()
: <a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#1438dc104a74c79bbe98df922e31651b">Ogre::FocusedShadowCameraSetup</a>
<li>translate()
: <a class="el" href="classOgre_1_1Node.html#4c147221e3963295853affdc2cd06c81">Ogre::Node</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7379a1af9f3d74c861953ae2aa2a2130">Ogre::InstancedGeometry::InstancedObject</a>
, <a class="el" href="classOgre_1_1Node.html#c56415737b8d9a93a3a7f177b22602aa">Ogre::Node</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#f92c230d50fd79d13544591e0d82592d">Ogre::InstancedGeometry::InstancedObject</a>
, <a class="el" href="classOgre_1_1Node.html#4b11cb1ea6e2aba1832a56c4ed87f1dd">Ogre::Node</a>
<li>Transpose()
: <a class="el" href="classOgre_1_1Matrix3.html#4ccc246eae557ee30ec285fe2cc99f54">Ogre::Matrix3</a>
<li>transpose()
: <a class="el" href="classOgre_1_1Matrix4.html#e141496dd80a027493cfc0bea3952a4d">Ogre::Matrix4</a>
<li>TRect()
: <a class="el" href="structOgre_1_1TRect.html#91f3cea3b1851f9b4b9004df78822678">Ogre::TRect&lt; T &gt;</a>
<li>triangle()
: <a class="el" href="classOgre_1_1ManualObject.html#751afd34b0f6ca1e0195c3a314b12cf8">Ogre::ManualObject</a>
<li>Tridiagonal()
: <a class="el" href="classOgre_1_1Matrix3.html#ba77d4cfb88b20309871d112729c03e9">Ogre::Matrix3</a>
<li>trim()
: <a class="el" href="classOgre_1_1StringUtil.html#e36e8b6e19fef623f59d56772ed1dd7e">Ogre::StringUtil</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:02 2008
</p>
</body>
</html>
